
Foreman - Refactor #15060

Support activerecord-session_store 1.x

05/16/2016 11:06 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3531

  

Description

activerecord-session_store 1.x is out with a warning fixed for Ruby 2.3 and Rails 5 support. It's compatible with Rails 4.2, so just

needs permitting.

https://github.com/rails/activerecord-session_store/releases/tag/v1.0.0

Related issues:

Related to Foreman - Refactor #14840: Support Ruby 2.3 Closed 04/26/2016

Related to Foreman - Refactor #20960: Use activerecord-session_store with Rai... Closed 09/16/2017

Associated revisions

Revision 12797719 - 05/17/2016 02:49 AM - Dominic Cleal

fixes #15060 - permit activerecord-session_store 1.x

Revision 108561e3 - 05/17/2016 02:54 AM - Dominic Cleal

refs #15060 - permit activerecord-session_store 1.x

History

#1 - 05/16/2016 11:09 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

#2 - 05/16/2016 11:10 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3531 added

#3 - 05/16/2016 11:10 AM - Dominic Cleal

- Related to Refactor #14840: Support Ruby 2.3 added

#4 - 05/17/2016 03:07 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 127977191166a9aac7502f34a4c4ab43c6c49016.

#5 - 05/17/2016 05:00 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 09/16/2017 03:13 AM - Anonymous

- Related to Refactor #20960: Use activerecord-session_store with Rails 5.1 compatibility  added
